aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe
Commit message (Collapse)AuthorAgeFilesLines
* ndctl: disable ndctl-monitor service by defaultHEADmasterChangqing Li2 days1-0/+1
| | | | | | | | | ndctl-monitor service will start failed if there is no nvdimm device like on qemux86, so disable it by default, user can enable it if their machine support this device. Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nodejs 8.15.0 -> 10.15.1Andrej Valek4 days6-17/+230
| | | | | | | | | Update nodejs to active 10.x LTS release 10.15.1. - link atomic library - make it compatible with gcc < 4.9 Signed-off-by: Andrej Valek <andrej.valek@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* hdf5: add version 1.8.19Hongxu Jia4 days6-0/+1358
| | | | | | | | License HDF5 is BSD-style. https://support.hdfgroup.org/products/licenses.html Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libgpiod: bump version to v1.2.1Bartosz Golaszewski4 days1-2/+2
| | | | | | | This is a bugfix release fixing two problems in C++ bindings. Signed-off-by: Bartosz Golaszewski <bgolaszewski@baylibre.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ace-cloud-editor: move ace-cloud-editor recipe to meta-oe/recipes-supportSai Hari Chandana Kalluri4 days1-0/+22
| | | | | | | | This commit c245374fafbc4769e0c98ae18ac9ff71f9f14169 places ace-cloud-editor recipe in an incorrect location. This commit moves the recipe to the right location. Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cryptsetup: Upgrade to 2.1.0Mingli Yu6 days1-3/+3
| | | | | | | | | Instead of hardcoding the version in SRC_URI, get the version for the folder of the source dynamically in SRC_URI. Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* upm_git.bb: Add fix for installing the python filesManjukumar Matha6 days2-1/+40
| | | | | | | | | Use SWIG_SUPPORT_FILES to find the list of python files generated by CMake Swig module and install those files. This should be applicable to cmake version 3.12 or higher Signed-off-by: Manjukumar Matha <manjukumar.harthikote-matha@xilinx.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* lcdproc: Disable serialVFD driver on arm/aarch64Khem Raj6 days1-2/+3
| | | | | | | | | | | | | | This driver uses inb/outb instructions which seems to have trouble on arm/aarch64 compiler server/drivers/serialVFD_io.c :45: | ../../../git/server/drivers/port.h:344:32: error: invalid output constraint '=a' in asm | | __asm__ volatile ("inb %1,%0":"=a" (value) | ^ Signed-off-by: Khem Raj <raj.khem@gmail.com>
* php: upgrade 7.2.10 -> 7.3.2 / 5.3.39 -> 5.6.40Changqing Li6 days12-205/+331
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | License-Update: 7.x version trim trailing whitespace 7.x: * drop CVE-2017-9120.patch since it cannot resolve the CVE * use recommand option --with-libzip, bundled libzip is deprecated * update patches 5.x: * use recommand option --with-libzip, bundled libzip is deprecated * update patches * Fix php 7.x cross build on hosts which have libxml2 installed libxml2 is not detected properly, it pokes at host and takes the libraries and header files added to build which links in libraries like libicu which may not be available in sysroot causing configure failures like checking for sqlite3 files in default path... found in TOPDIR/build/tmp/work/aarch64-yoe-linux/php/7.3.2-r0/recipe-sysroot/usr/lib/.. checking for SQLite 3.3.9+... checking for sqlite3_prepare_v2 in -lsqlite3... no not found configure: error: Please install SQLite 3.3.9 first or check libsqlite3 is present the reason is configure test fails to find icu libraries since they were added based on build host's libxml2.pc Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* sassc: initial add 3.5.0Andreas Müller6 days1-0/+14
| | | | | | | | | | | * kde plasma's breeze-gtk needs native since 5.15 * there were attempts to land similar for gnome3-desktop [1]. So just in case somebody comes back to it... [1] http://lists.openembedded.org/pipermail/openembedded-devel/2018-October/197228.html Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libsass: initial add 3.5.3Andreas Müller6 days1-0/+13
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fontforge: Fix multilib / lib32 packagingAndreas Müller6 days1-1/+1
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* jack: Add packageconfig for dbus add files generated to jack-server packageAndreas Müller6 days1-1/+8
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* rocksdb: Fix build with clangKhem Raj8 days2-0/+58
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cli11: Add knob to Enable/Disable clang-tidy explicityKhem Raj8 days2-1/+31
| | | | | | | | | | | | | | When building with clang otherwise this gets enabled and we have problems with headers especially due to OEs multilibbing effort on arm where headers like bits/wordsize.h are hijacked and some wrappers are translanted, these transplants have additional requirements/constraints e.g. compiler internal arch defines e.g. __arm__ etc. which may not be passed by tools like clang-tidy which are arch independent. Ideally we should not require to disable clang-tidy here but we make a compromise, since OEs headers are the way as explained above Signed-off-by: Khem Raj <raj.khem@gmail.com>
* catch2: Upgrade to 2.6.1Khem Raj8 days2-2/+38
| | | | | | Fix build with clang Signed-off-by: Khem Raj <raj.khem@gmail.com>
* oprofile: Fix build with clangKhem Raj8 days2-0/+132
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* gperftools: Use ARM ISA when using clangKhem Raj8 days1-0/+1
| | | | | | | | | | | | | | | It seemingly needs to be fixed in application, chromium also force ARM ISA for internal gperftools also see https://bugs.llvm.org/show_bug.cgi?id=31058 Fixes errors like below | ../git/src/base/atomicops-internals-arm-v6plus.h:228:8: error: instruction requires: arm-mode | "ldrexd %1, [%3]\n" | ^ Signed-off-by: Khem Raj <raj.khem@gmail.com>
* imagemagick: add homepage and descriptionRandy MacLeod9 days1-1/+4
| | | | | Signed-off-by: Randy MacLeod <Randy.MacLeod@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* atop: Update to 2.4Peter Kjellerstedt9 days6-77/+98
| | | | | | | | | | | | * Replace remove-bashisms.patch with 0001-atop.daily-atop.init-atop-pm.sh-Avoid-using-bash.patch to avoid a bashism in atop.init in addition to those already fixed. * Remove 0001-add-sys-sysmacros.h-for-major-minor-macros.patch as it is no longer needed. * Update the remaining patches to avoid fuzz. Signed-off-by: Peter Kjellerstedt <peter.kjellerstedt@axis.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* faad2: upgrade to 2.8.8Ross Burton9 days2-31/+14
| | | | | | | | | | Upgrade to the latest release, 2.8.8. Stop splitting the package up excessively, and use lib_package to put the binaries into PN-bin. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* x11vnc: patch: don't install Xdummy when configured --without-xJean-Francois Dagenais9 days2-0/+38
| | | | There is just no point in Xdummy if x11 is not in DISTRO_FEATURES.
* x11vnc: add kernel module uinput for rawfb input methodJean-Francois Dagenais9 days1-0/+1
|
* x11vnc: uprev to 0.9.16Jean-Francois Dagenais10 days4-72/+41
|
* x11vnc: allow fbdev only (x11-less) buildsJean-Francois Dagenais10 days1-4/+11
|
* packagegroup-meta-oe: espeak-data is goneKhem Raj10 days1-1/+1
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* espeak: Generate phondata based on endianness of targerKhem Raj11 days5-61/+71
| | | | | | | | | | Use qemu usermode to generate it, so we are always in correct endian-ness espeak-data is no longer needed now, since sole purpose of it was to provide the data for bigendian systems Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ftgl: Fix build errors with clangKhem Raj11 days2-0/+39
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* wifi-test-suite: Fix build with LTOKhem Raj11 days2-0/+39
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ftgl: initial add 2.1.3-rc5Andreas Müller13 days3-0/+100
| | | | | | | | Have this in meta-qt5-extra for a while but now it is required by upcoming chromium-bsi (meta-games). So move a layer 'up'. Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vncx11: Fix dev package do_rootfs failureAlistair Francis13 days1-0/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | When building the dev package I see these errors: Collected errors: * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/rfbproto.h But that file is already provided by package * libvncserver-dev * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/rfb.h But that file is already provided by package * libvncserver-dev * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/rfbregion.h But that file is already provided by package * libvncserver-dev * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/rfbconfig.h But that file is already provided by package * libvncserver-dev * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/keysym.h But that file is already provided by package * libvncserver-dev * check_data_file_clashes: Package x11vnc-dev wants to install file /home/alistair/oe-master/build/tmp-glibc/wor k/sopine_a64-oe-linux/core-image-weston/1.0-r0/rootfs/usr/include/rfb/rfbclient.h But that file is already provided by package * libvncserver-dev as both libvncserver and x11vnx try to install the same files let's just remove them from x11vnc. Signed-off-by: Alistair Francis <alistair@alistair23.me> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* rapidjson: fix cmake artifacts installation for non-default BASELIB caseRuslan Bilovol14 days2-2/+39
| | | | | | | | | | | | | | | | | | | | | If BASELIB is set to non-default value (like lib64), next 'installed but not shipped' issue happens: /usr/lib /usr/lib/cmake /usr/lib/pkgconfig /usr/lib/cmake/RapidJSON /usr/lib/cmake/RapidJSON/RapidJSONConfigVersion.cmake /usr/lib/cmake/RapidJSON/RapidJSONConfig.cmake /usr/lib/pkgconfig/RapidJSON.pc This is because rapidjson has library installation dir set to 'lib' by default and hardcoded in another place. Fix this by next changes: - set appropriate LIB_INSTALL_DIR - fix hardcoded 'lib' in CMAKECONFIG_INSTALL_DIR case Signed-off-by: Ruslan Bilovol <rbilovol@cisco.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* glmark2: update to current gitRoss Burton2019-02-064-105/+3
| | | | | | | | | | | | | Remove two patches merged upstream. The other patch isn't required so can be deleted. Remove explicit --std=c++11 as the wscript adds --std=c++14 now. Change PV to contain the full date just in case we want to update more than once a month. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ltrace: Fix build with clangKhem Raj2019-02-052-0/+34
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mongodb: Fix build with clangKhem Raj2019-02-052-0/+29
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mongodb: Upgrade to 4.0.6Khem Raj2019-02-053-56/+562
| | | | | | Change License to SSPL version 1 Signed-off-by: Khem Raj <raj.khem@gmail.com>
* rocksdb: Update to 5.18 branch ( 5.18.2 )Khem Raj2019-02-051-3/+3
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* graphviz: Fix cross-build failures with clangKhem Raj2019-02-051-4/+14
| | | | | | | | | | | | | | | | | | It is detecting cross compile badness for -lexpat since the check finds it on build host, so aide the build ssytem to find it in staging sysroot Disable internal ltdl, use libtool provided one Define defines to indicate that platform has ssize_t and long_double Disable java,r,c-sharp, as it is unused Arrange source URIs before checksums gtk-doc is not needed, morever it ends up in unknown configure options Signed-off-by: Khem Raj <raj.khem@gmail.com>
* catch2: Upgrade to 2.6.0Khem Raj2019-02-052-41/+2
| | | | | | Drop backported patch Signed-off-by: Khem Raj <raj.khem@gmail.com>
* breakpad: Drop SRCPV from PVKhem Raj2019-02-041-2/+2
| | | | | | | This causes errors like OSError: [Errno 36] File name too long: Signed-off-by: Khem Raj <raj.khem@gmail.com>
* opencv: Upgrade to 3.4.5Khem Raj2019-02-043-79/+11
| | | | | | | Drop adding git revs to PV, its not needed since we are on release tag Drop upstreamed patches Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cpprest: update to 2.10.10Gianfranco Costamagna2019-02-041-2/+2
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nmap: Include additional FILES path for certsScott Ellis2019-02-031-1/+1
| | | | | | | | | | If both ncat and ssl are in PACKAGECONFIG then the installer adds a cert bundle to /usr/share/ncat/ca-bundle.crt Signed-off-by: Scott Ellis <scott@jumpnowtek.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nmap: Fix typo in pcre PACKAGECONFIGScott Ellis2019-02-031-1/+1
| | | | | Signed-off-by: Scott Ellis <scott@jumpnowtek.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* lshw: BBCLASSEXTEND to nativeMing Liu2019-02-031-0/+2
| | | | | | | | In case some recipes might need it, for instance, the aktualizr-native of meta-updater. Signed-off-by: Ming Liu <liu.ming50@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pam-ssh-agent-auth: Port to work with openssl 1.1.xKhem Raj2019-02-033-2/+1249
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libqmi: Update to 1.22.0William A. Kennington III via Openembedded-devel2019-02-012-44/+3
| | | | | | | | | | | | Giving up on inline patches for now. >From b1fa081fcd795384e37dd2078072e77070559cf1 Mon Sep 17 00:00:00 2001 From: Glenn Stroz <gstroz@uber.com> Date: Wed, 23 Jan 2019 19:58:01 -0500 Subject: [PATCH] libqmi: Upgrade to 1.22.0 Signed-off-by: Glenn Stroz <gstroz@uber.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libwebsockets: upgrade 3.0.0 -> 3.1.0Andreas Müller2019-02-011-1/+1
| | | | | Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libwebsockets: fix multilib installAndreas Müller2019-02-011-0/+4
| | | | | | | | | | | | | | | | | | | | ERROR: libwebsockets-3.0.0-r0 do_package: QA Issue: libwebsockets: Files/directories were installed but not shipped in any package: | /usr/lib/libwebsockets.so | /usr/lib/libwebsockets.a | /usr/lib/libwebsockets.so.13 | /usr/lib/cmake | /usr/lib/pkgconfig | /usr/lib/cmake/libwebsockets | /usr/lib/cmake/libwebsockets/LibwebsocketsTargets-release.cmake | /usr/lib/cmake/libwebsockets/LibwebsocketsConfig.cmake | /usr/lib/cmake/libwebsockets/LibwebsocketsConfigVersion.cmake | /usr/lib/cmake/libwebsockets/LibwebsocketsTargets.cmake | /usr/lib/pkgconfig/libwebsockets_static.pc | /usr/lib/pkgconfig/libwebsockets.pc Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vim: Enable GUI support for x11 DISTRO_FEATURESOvidiu Panait2019-02-011-1/+4
| | | | | | | | | | Adding vim to a sato image will produce a non-working Gvim desktop entry because GUI support is not compiled in: # vim -g E25: GUI cannot be used: Not enabled at compile time Signed-off-by: Ovidiu Panait <ovidiu.panait@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>